#ifndef NotRealDecoder_HPP
#define NotRealDecoder_HPP

/**
  *@author Ferenc Bodon
  */
  
#include "common.hpp"
#include "io/codec/decoder/DecoderBase.hpp"
#include <vector>

/** This class is used in tests when a decoder is needed, however
    we want it nothing to do ;) For example in tester/CacheDBTester.hpp
 */
template <class FR>
class NotRealDecoder : public DecoderBase<FR>
{
   public:
      typedef typename DecoderBase<FR>::params_t params_t;

      NotRealDecoder(const params_t* par) : DecoderBase<FR>(par){}
       
      void setCodeInverse(const std::vector<item_t>& code_inverse)
      {	 
	 // I am not doing anything!
      }	 
};


#endif
