
/**
  *@author Ferenc Bodon
  */

#include "test/io/output/SimpleOutputTester.hpp"
#include "common/log.h"

int main( int argc, char *argv[] )
{
   SimpleOutputTester o_tester;
   try
   {
      o_tester.doTest(argc, argv);
   }
   catch (std::ios_base::failure e)
   {
      log_err(0,"Exiting the program due to IO exception");
      exit(1);
   }
   return 0;
}
