/***************************************************************************
                          LeafWithoutConstructor.hpp  -  description
                             -------------------
    begin                : cs dec 26 2002
    copyright            : (C) 2002 by Ferenc Bodon
    email                : bodon@cs.bme.hu
 ***************************************************************************/

#ifndef LeafWithoutConstructor_HPP
#define LeafWithoutConstructor_HPP

/**
  *@author Ferenc Bodon
  */


#include "common.hpp"
#include <vector>
//#include <iterator>	//for test


namespace Bodon
{
   class LeafWithoutConstructor
   {
      protected:
	 counter_t counter;
      public:
	 
	 void setCounter(const counter_t counter)
	 {this->counter = counter;}
	 
	 void increaseCounter(const counter_t counter_incr = 1)
	 {this->counter += counter_incr;}
	 
	 counter_t getCounter() const
	 {return counter;}
   };
}
#endif
