/***************************************************************************
                          FattenableLeaf.hpp  -  description
                             -------------------
    begin                : cs dec 26 2002
    copyright            : (C) 2002 by Ferenc Bodon
    email                : bodon@cs.bme.hu
 ***************************************************************************/

#ifndef FattenableLeaf_HPP
#define FattenableLeaf_HPP

/**
  *@author Ferenc Bodon
  */


#include "common.hpp"
#include "apriori/bodon/LeafWithoutConstructor.hpp"


namespace Bodon
{
   template <unsigned int VECTOR_SIZE>
   class FattenableLeaf : public LeafWithoutConstructor
   {
      public:
	 FattenableLeaf() {counter = 0;}
	 FattenableLeaf(const counter_t counter) { this->counter = counter;}
      protected:
	 int a_vector[VECTOR_SIZE];
   };
}
#endif
