
#include <vector>

#include "common.hpp"
#include "io/FILERepr.hpp"
#include "io/codec/decoder/df/CacheDFDecoder.hpp"

typedef std::vector<item_t> ItemVector;
typedef Bodon::CacheDFDecoder<OutputBase<FILERepr> > PatternOutput;


int main(int argc, char** argv) {
  ItemVector codeInverses;
  for (int i = 0; i < 10; i++)
    codeInverses.push_back(i);

  PatternOutput::params_t par_d;
  par_d.file_name = "test.pat";
  par_d.mode=FileReprBase::WRITE;
  PatternOutput out(&par_d);
  out.setCodeInverse(codeInverses);

  out.pushItemWithWrite(1, 10); 
  
  // out.pushEquisupportItem(4);
  out.pushItemWithWrite(2, 7);

  // out.pushEquisupportItem(5);
  out.pushItemWithWrite(3, 3);
  // out.popEquisupportItem();
  out.popItem();
  // out.popEquisupportItem();
  out.popItem();

  out.pushItemWithWrite(3, 6);

}
